Page MenuHomePhabricator

Upgrade Logstash Elasticsearch cluster to 1.6.0
Closed, ResolvedPublic

Description

Keeping up with the Cirrus cluster (T103599)

Event Timeline

bd808 created this task.Jul 7 2015, 11:39 PM
bd808 raised the priority of this task from to Normal.
bd808 updated the task description. (Show Details)
bd808 added a project: Wikimedia-Logstash.
bd808 added a subscriber: bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2015, 11:39 PM
bd808 claimed this task.Jul 7 2015, 11:43 PM
bd808 added a comment.Jul 8 2015, 4:13 PM

1.6.0 should be the default version in apt now that https://gerrit.wikimedia.org/r/#/c/223251/ has been merged.

bd808 added a project: User-bd808.

Beta cluster updated on 2015-07-08. Upgrade for production cluster scheduled to start at 2015-07-10T19:00Z.

bd808 added a comment.Jul 11 2015, 1:28 AM

Ran into one issue so far while upgrading. The /etc/default/elasticsearch file that we've been using on other hosts with no issues had strange errors on logstash1004. The fix was simple but annoying: https://gerrit.wikimedia.org/r/#/c/224185/

bd808 closed this task as Resolved.Jul 11 2015, 9:39 PM
bd808 moved this task from To Do to Done on the User-bd808 board.
bd808 moved this task from Done to Archive on the User-bd808 board.Jul 24 2015, 5:18 PM
bd808 moved this task from Backlog to Archive on the Wikimedia-Logstash board.Jul 28 2015, 4:49 PM